List the 100 newest durable submissions for a KSeF connection (ADMIN+)
GET
/ksef-connections/{connectionId}/submissions
const url = 'https://api.invogi.com/v1/ksef-connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/submissions';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.invogi.com/v1/ksef-connections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/submissions \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”connectionId
required
string format: uuid
Responses
Section titled “Responses”KSeF submissions
Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
companyId
required
string format: uuid
connectionId
required
string format: uuid
invoiceId
required
string format: uuid
status
required
string
sessionReferenceNumber
required
string | null
invoiceReferenceNumber
required
string | null
ksefNumber
required
string | null
upoReferenceNumber
required
string | null
errorCode
required
string | null
errorMessage
required
string | null
submittedAt
required
string | null format: date-time
completedAt
required
string | null format: date-time
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "items": [ { "status": "QUEUED" } ]}Missing or invalid API key
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}API key lacks required scope/role
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}Resource not found
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}